/store-orders-delete-one¶
Summary¶
Source repository:
jef-systems/jef-store-backendSource SHA:
8aeea2418405bc456b822b328ee67dbf6f3df16cSource run id:
25872690726Lambda function:
jef-store-orders-delete-oneHTTP method:
DELETEAPI path:
/store-orders-delete-oneEndpoint URL:
https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-orders-delete-onePayload mode:
json-body
Description¶
Function: jef-store-orders-delete-oneModule: jef-storeAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /store-orders-delete-oneTable: jef-store-ordersPrimary Key: order_number
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
order\_number: 86b39313-ba69-445c-a1f3-44934db7442b
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.order_number.type",
"value": "S"
},
{
"key": "root.attributes.order_number.required",
"value": "True"
},
{
"key": "root.attributes.order_number.format",
"value": "uuidv4"
},
{
"key": "root.attributes.order_number.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "order_number",
"value": "86b39313-ba69-445c-a1f3-44934db7442b"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-orders-delete-one" -H "Content-Type: application/json" --data-raw "{\"order_number\": \"86b39313-ba69-445c-a1f3-44934db7442b\"}"
PowerShell curl¶
curl.exe -X DELETE "https://dqo3268ty9.execute-api.ap-southeast-1.amazonaws.com/prod/store-orders-delete-one" -H "Content-Type: application/json" --data-raw '{"order_number": "86b39313-ba69-445c-a1f3-44934db7442b"}'